[Forgot Password]
Login  Register Subscribe

23631

 
 

126173

 
 

98218

 
 

909

 
 

79224

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2006-4482

Date: (C)2006-08-31   (M)2017-10-12 


Multiple heap-based buffer overflows in the (1) str_repeat and (2) wordwrap functions in ext/standard/string.c in PHP before 5.1.5, when used on a 64-bit system, have unspecified impact and attack vectors, a different vulnerability than CVE-2006-1990.

CVSS Score: 9.3Access Vector: NETWORK
Exploit Score: 8.6Access Complexity: MEDIUM
Impact Score: 10.0Authentication: NONE
 Confidentiality: COMPLETE
 Integrity: COMPLETE
 Availability: COMPLETE





Reference:
SECTRACK-1016984
BID-19582
20061001-01-P
http://www.securityfocus.com/archive/1/archive/1/447866/100/0/threaded
SECUNIA-21546
SECUNIA-21768
SECUNIA-22004
SECUNIA-22039
SECUNIA-22069
SECUNIA-22225
SECUNIA-22440
SECUNIA-22487
SECUNIA-22538
SECUNIA-22713
ADV-2006-3318
DSA-1206
RHSA-2006:0669
RHSA-2006:0682
RHSA-2006:0688
SUSE-SA:2006:052
TLSA-2006-38
USN-342-1
http://cvs.php.net/viewvc.cgi/php-src/ext/standard/string.c?r1=1.445.2.14.2.10&r2=1.445.2.14.2.11
http://support.avaya.com/elmodocs2/security/ASA-2006-221.htm
http://support.avaya.com/elmodocs2/security/ASA-2006-222.htm
http://support.avaya.com/elmodocs2/security/ASA-2006-223.htm
http://www.php.net/ChangeLog-5.php#5.1.5
http://www.php.net/release_5_1_5.php
https://issues.rpath.com/browse/RPL-683

CPE    5
cpe:/a:php:php:5.1
cpe:/a:php:php:5.1.4
cpe:/a:php:php:5.1.0
cpe:/a:php:php:5.1.1
...
CWE    1
CWE-119

© 2013 SecPod Technologies